org.appng.openapi.model

## Class Navigation

- java.lang.Object
- - org.appng.openapi.model.Navigation

-     @Generated(value="org.openapitools.codegen.languages.JavaClientCodegen",
                 date="2023-03-20T12:57:48.851+01:00[Europe/Berlin]")
      public class Navigation
      extends Object

  Navigation

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `JSON_PROPERTY_APP_N_G_VERSION`
    `static String` | `JSON_PROPERTY_ITEMS`
    `static String` | `JSON_PROPERTY_LOGIN_ACTION`
    `static String` | `JSON_PROPERTY_USER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Navigation()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Navigation` | `addItemsItem(NavigationItem itemsItem)`
    `Navigation` | `appNGVersion(String appNGVersion)`
    `boolean` | `equals(Object o)`
    `String` | `getAppNGVersion()` The version of appNG
    `List<NavigationItem>` | `getItems()` Get items
    `Action` | `getLoginAction()` Get loginAction
    `User` | `getUser()` Get user
    `int` | `hashCode()`
    `Navigation` | `items(List<NavigationItem> items)`
    `Navigation` | `loginAction(Action loginAction)`
    `void` | `setAppNGVersion(String appNGVersion)`
    `void` | `setItems(List<NavigationItem> items)`
    `void` | `setLoginAction(Action loginAction)`
    `void` | `setUser(User user)`
    `String` | `toString()`
    `Navigation` | `user(User user)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### JSON_PROPERTY_USER

          public static final String JSON_PROPERTY_USER

      See Also:
        Constant Field Values

    - #### JSON_PROPERTY_ITEMS

          public static final String JSON_PROPERTY_ITEMS

      See Also:
        Constant Field Values

    - #### JSON_PROPERTY_LOGIN_ACTION

          public static final String JSON_PROPERTY_LOGIN_ACTION

      See Also:
        Constant Field Values

    - #### JSON_PROPERTY_APP_N_G_VERSION

          public static final String JSON_PROPERTY_APP_N_G_VERSION

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Navigation

          public Navigation()

  - ### Method Detail

    - #### user

          public Navigation user(User user)

    - #### getUser

          @Nullable
          public User getUser()

      Get user
      Returns:
        user

    - #### setUser

          public void setUser(User user)

    - #### items

          public Navigation items(List<NavigationItem> items)

    - #### addItemsItem

          public Navigation addItemsItem(NavigationItem itemsItem)

    - #### getItems

          @Nullable
          public List<NavigationItem> getItems()

      Get items
      Returns:
        items

    - #### setItems

          public void setItems(List<NavigationItem> items)

    - #### loginAction

          public Navigation loginAction(Action loginAction)

    - #### getLoginAction

          @Nullable
          public Action getLoginAction()

      Get loginAction
      Returns:
        loginAction

    - #### setLoginAction

          public void setLoginAction(Action loginAction)

    - #### appNGVersion

          public Navigation appNGVersion(String appNGVersion)

    - #### getAppNGVersion

          @Nullable
          public String getAppNGVersion()

      The version of appNG
      Returns:
        appNGVersion

    - #### setAppNGVersion

          public void setAppNGVersion(String appNGVersion)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.